FROM dunglas/frankenphp:php8.4-alpine

ENV SERVER_NAME=":80"
ENV CADDY_GLOBAL_OPTIONS="auto_https off"
ENV APP_RUNTIME="Runtime\\FrankenPhpSymfony\\Runtime"

ARG APP_VERSION="0.dev"
ENV APP_VERSION="${APP_VERSION}"

RUN install-php-extensions \
	pdo_mysql \
	gd \
	intl \
	zip \
	opcache

COPY . /app

ENTRYPOINT [ "php", "/app/bin/console", "messenger:consume", "scheduler_monitor" ]

HEALTHCHECK --interval=3s --timeout=3s --retries=10 CMD return 0
